## gnome-calls 0.1.8

=== meson_options.txt ===
option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Calls')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('wayland',
       type: 'feature', value: 'enabled',
       description: 'Whether to support Wayland lockscreen interaction')

option('librem5-hack',
       type: 'boolean', value: true,
       description: 'Whether to use hacky code to support audio output switching (Speaker)')

## gnome-calls 0.1.7

=== debian/changelog ===
gnome-calls (0.1.7-1) unstable; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * Team upload.
  [ Evangelos Ribeiro Tzaras ]
  * Initial Debian release (Closes: #960228)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sat, 22 Aug 2020 10:33:08 +0000

=== debian/control ===
Source: gnome-calls
Section: comm
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 help2man,
 libebook-contacts1.2-dev,
 libfeedback-dev,
 libfolks-dev,
 libgom-1.0-dev,
 libgsound-dev,
 libgtk-3-dev,
 libhandy-0.0-dev (>= 0.0.12),
 libmm-glib-dev (>= 1.12.0),
 libpeas-dev,
 meson,
 modemmanager-dev,
 pkg-config,
 valac,
 xauth,
 xvfb,
Standards-Version: 4.5.0
Homepage: https://source.puri.sm/Librem5/calls
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnome-calls
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnome-calls.git
Rules-Requires-Root: no

Package: gnome-calls
Architecture: any
Depends:
 modemmanager,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Make and receive PSTN phone calls
 A GTK+ user interface for PSTN phone calls using ModemManager.
 Telephone calls can be made and received. This package is mostly useful
 for mobile devices.

## gnome-calls 0.1.8

=== debian/changelog ===
gnome-calls (0.1.8-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Updated to latest 0.1.8 release
  * d/control: Add Henry as co-maintainer
  * remove unnecessary d/calls.docs
  * d/gbp.conf: Remove standard debian-tag field

  [ Henry-Nicolas Tourneur ]
  * Removed unused cmake build dependency.

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 10 Oct 2020 19:34:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
+ Henry-Nicolas Tourneur <debian@nilux.be>,
 Build-Depends:
- cmake,
  debhelper-compat (= 13),
  help2man,
  libebook-contacts1.2-dev,

## gnome-calls 0.1.9

=== debian/changelog ===
gnome-calls (0.1.9-1) unstable; urgency=medium

  * New upstream version 0.1.9
  * d/gbp.conf: default enable pristine-tar
  * d/copyright: remove unused file paragraph
  * d/control: add callaudio dependency
  * d/control: updated libhandy build dep
  * d/patches: updates for new upstream release

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sat, 07 Nov 2020 22:18:01 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  help2man,
+ libcallaudio-dev,
  libebook-contacts1.2-dev,
  libfeedback-dev,
  libfolks-dev,
  libgom-1.0-dev,
  libgsound-dev,
  libgtk-3-dev,
- libhandy-0.0-dev (>= 0.0.12),
+ libhandy-1-dev,
  libmm-glib-dev (>= 1.12.0),
  libpeas-dev,
  meson,
@@ -32,6 +33,7 @@
 Package: gnome-calls
 Architecture: any
 Depends:
+ callaudiod,
  modemmanager,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -- -B_build

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	xvfb-run ninja -C _build test
endif

# generate the manpages from the scripts using help2man
execute_before_dh_installman:
	help2man --version-option='-h' --no-info --name="A GTK+ user interface for PSTN phone calls" \
		debian/gnome-calls/usr/bin/gnome-calls > debian/gnome-calls.1

## gnome-calls 0.2.0

=== meson_options.txt ===
--- 
+++ 
@@ -9,7 +9,3 @@
 option('wayland',
        type: 'feature', value: 'enabled',
        description: 'Whether to support Wayland lockscreen interaction')
-
-option('librem5-hack',
-       type: 'boolean', value: true,
-       description: 'Whether to use hacky code to support audio output switching (Speaker)')

=== debian/changelog ===
gnome-calls (0.2.0-2) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/patches: switch to the new callaudio API
  * d/control: add a minimum version requirement on libcallaudio dependency

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 15 Jan 2021 17:16:51 +0000

gnome-calls (0.2.0-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 0.2.0

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 06 Jan 2021 18:47:28 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
  Henry-Nicolas Tourneur <debian@nilux.be>,
 Build-Depends:
  debhelper-compat (= 13),
+ desktop-file-utils,
+ gtk-doc-tools <!nodoc>,
  help2man,
- libcallaudio-dev,
+ libcallaudio-dev (>= 0.0.5),
  libebook-contacts1.2-dev,
  libfeedback-dev,
  libfolks-dev,
  libgom-1.0-dev,
  libgsound-dev,
  libgtk-3-dev,
+ libgtk-3-doc <!nodoc>,
  libhandy-1-dev,
  libmm-glib-dev (>= 1.12.0),
  libpeas-dev,
@@ -24,7 +27,7 @@
  valac,
  xauth,
  xvfb,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://source.puri.sm/Librem5/calls
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnome-calls
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnome-calls.git
@@ -39,5 +42,25 @@
  ${shlibs:Depends},
 Description: Make and receive PSTN phone calls
  A GTK+ user interface for PSTN phone calls using ModemManager.
- Telephone calls can be made and received. This package is mostly useful
- for mobile devices.
+ .
+ Besides phone calls it also handles USSD.
+ .
+ It works on desktops but also adjusts to small screen sizes like smart phones
+ and other mobile devices.
+
+Package: gnome-calls-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Build-Profiles: <!nodoc>
+Depends:
+ ${misc:Depends},
+Description: Make and receive PSTN phone calls - development documentation
+ A GTK user interface for PSTN phone calls using ModemManager.
+ .
+ Besides phone calls it also handles USSD.
+ .
+ It works on desktops but also adjusts to small screen sizes like smart phones
+ and other mobile devices.
+ .
+ This package contains the development documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
  CONFIGURE_OPTS+=-Dgtk_doc=true
else
  CONFIGURE_OPTS+=-Dgtk_doc=false
endif

%:
	dh $@ -- -B_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	# https://github.com/mesonbuild/meson/pull/2862
	ninja -C _build/ calls-doc
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	xvfb-run ninja -C _build test
endif

# generate the manpages from the scripts using help2man
execute_before_dh_installman:
	help2man --version-option='-h' --no-info --name="A GTK+ user interface for PSTN phone calls" \
		debian/tmp/usr/bin/gnome-calls > debian/gnome-calls.1

=== debian/watch ===

version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/calls.*\.tar\.gz/gnome-calls-$1\.tar\.gz/g \
 https://source.puri.sm/Librem5/calls/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## gnome-calls 41~rc

=== debian/changelog ===
gnome-calls (41~rc-1ubuntu2) impish; urgency=medium

  * Build without symbolic functions

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 23 Sep 2021 21:45:22 -0400

gnome-calls (41~rc-1ubuntu1) impish; urgency=medium

  * d/rules: Run dh_auto_test instead of ninja test directly

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 22 Sep 2021 20:52:52 -0400

gnome-calls (41~rc-1) experimental; urgency=medium

  * d/control: Use correct phosh version in Breaks
  * New upstream version 41~rc
  * d/control: Update build dependencies
  * d/control: Bump Standards-Version (no changes needed)
  * ci: No need to use experimental anymore
  * d/patches: Fix build for CI/debspawn
  * d/patches: SIP: Explicitly bind to addresses

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 05 Sep 2021 19:04:44 +0200

gnome-calls (41~alpha-1) experimental; urgency=medium

  * d/watch: Update for new upstream URL and versioning scheme
  * d/control: Update upstream URL
  * New upstream version 41~alpha
  * d/control: Breaks current phosh
  * d/maintscript: Remove old autostart desktop files
  * d/copyright: Layer surface got dropped
  * d/copyright: Rename files
  * d/copyright: Change upstream URL
  * d/copyright: Update Upstream Contact
  * d/copyright: Update copyright
  * d/*.install: Update to reflect renamed file

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 17 Jul 2021 21:51:59 +0200

gnome-calls (0.3.4-1) experimental; urgency=medium

  * New upstream version 0.3.4
  * Install schemas

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 13 Jun 2021 03:38:29 +0200

gnome-calls (0.3.3-1) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 0.3.3
  * d/patches: Remove upstreamed patches

  [ Henry-Nicolas Tourneur ]
  * patches: remove empty series file

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 20 May 2021 03:10:20 +0200

gnome-calls (0.3.2-1) experimental; urgency=medium

  * d/patches: Remove upstreamed patches
  * d/control: Add gstreamer dependencies
  * d/control: Add sofia dependency
  * d/control: bump required libhandy to >=1.1.90
  * d/salsa-ci.yml: Build against experimental
  * d/patches: Don't use DNS lookups during tests

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 23 Apr 2021 15:03:42 +0200

gnome-calls (0.3.0-2) experimental; urgency=medium

  * d/patches: fix double free

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 16 Feb 2021 03:35:42 +0100

gnome-calls (0.3.0-1) experimental; urgency=medium

  * d/gbp.conf: Use default upstream tag format
  * d/patches: Remove upstreamed patches
  * d: Adjust doc installation directory

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 13 Feb 2021 10:54:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: gnome-calls
 Section: comm
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
 Build-Depends:
  debhelper-compat (= 13),
  desktop-file-utils,
+ gstreamer1.0-plugins-good,
  gtk-doc-tools <!nodoc>,
  help2man,
  libcallaudio-dev (>= 0.0.5),
@@ -16,27 +18,33 @@
  libfolks-dev,
  libgom-1.0-dev,
  libgsound-dev,
+ libgstreamer1.0-dev,
  libgtk-3-dev,
  libgtk-3-doc <!nodoc>,
- libhandy-1-dev,
+ libhandy-1-dev (>=1.1.90),
  libmm-glib-dev (>= 1.12.0),
  libpeas-dev,
+ libsecret-1-dev,
+ libsofia-sip-ua-glib-dev,
+ libxml2-utils,
  meson,
  modemmanager-dev,
  pkg-config,
  valac,
  xauth,
  xvfb,
-Standards-Version: 4.5.1
-Homepage: https://source.puri.sm/Librem5/calls
+Standards-Version: 4.6.0
+Homepage: https://gitlab.gnome.org/GNOME/calls
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnome-calls
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnome-calls.git
 Rules-Requires-Root: no
 
 Package: gnome-calls
 Architecture: any
+Breaks: phosh (<< 0.13.0)
 Depends:
  callaudiod,
+ gstreamer1.0-plugins-good,
  modemmanager,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# https://gitlab.gnome.org/GNOME/calls/-/issues/334
+export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
   CONFIGURE_OPTS+=-Dgtk_doc=true
@@ -23,7 +26,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	xvfb-run ninja -C _build test
+	xvfb-run dh_auto_test
 endif
 
 # generate the manpages from the scripts using help2man

## gnome-calls 41.1

=== debian/changelog ===
gnome-calls (41.1-2) unstable; urgency=medium

  * d/patches: Patch out possibly flaky test

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 01 Nov 2021 02:59:40 +0100

gnome-calls (41.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * d/rules: Run dh_auto_test instead of ninja test directly
  * d/rules: Drop nocheck check since dh13's dh_auto_test handles this
  * d/rules: Use dh_auto_build instead of calling ninja build directly
  * d/control: Mark xauth & xvfb as only needed for build tests
  * d/rules: Workaround Ubuntu issue by building without symbolic-functions

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 41.1
  * d/copyright: Update copyright
  * d/copyright: Add screenshots
  * d/patches: Remove upstream patches

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 31 Oct 2021 09:59:16 +0100

## gnome-calls 42~alpha.0

=== debian/changelog ===
gnome-calls (42~alpha.0-1) experimental; urgency=medium

  * New upstream version 42~alpha.0

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 14 Dec 2021 14:19:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-calls
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
@@ -31,8 +30,8 @@
  modemmanager-dev,
  pkg-config,
  valac,
- xauth,
- xvfb,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
 Standards-Version: 4.6.0
 Homepage: https://gitlab.gnome.org/GNOME/calls
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnome-calls

## gnome-calls 42~beta.1

=== meson_options.txt ===
option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Calls')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

=== debian/changelog ===
gnome-calls (42~beta.1-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Add Breaks/Replaces for translation files previously included in phosh

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 42~beta.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 26 Jan 2022 15:44:59 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
 
 Package: gnome-calls
 Architecture: any
-Breaks: phosh (<< 0.13.0)
+Breaks: phosh (<< 0.14.1-2~)
+Replaces: phosh (<< 0.14.1-2~)
 Depends:
  callaudiod,
  gstreamer1.0-plugins-good,

=== debian/watch ===

version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/calls.*\.tar\.gz/gnome-calls-$1\.tar\.gz/g \
 https://gitlab.gnome.org/GNOME/calls/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## gnome-calls 42~rc.0

=== debian/changelog ===
gnome-calls (42~rc.0-1) experimental; urgency=medium

  * New upstream version 42~rc.0
  * Update copyright

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 25 Feb 2022 16:03:32 +0100

## gnome-calls 42~rc.1

=== debian/changelog ===
gnome-calls (42~rc.1-1) unstable; urgency=medium

  * d/watch: Use download.gnome.org as the canonical tarball source
  * d/watch: Follow GNOME versioning scheme
  * d/gbp.conf: Sign tags by default
  * New upstream version 42~rc.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 07 Mar 2022 10:52:48 +0100

## gnome-calls 42.0

=== debian/changelog ===
gnome-calls (42.0-1) unstable; urgency=medium

  * New upstream version 42.0

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 29 Mar 2022 16:12:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Ubuntu builds with symbolic-functions by default which causes plugin issues
 # https://gitlab.gnome.org/GNOME/calls/-/issues/334
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
@@ -21,13 +22,11 @@
 	dh_auto_build
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 	# https://github.com/mesonbuild/meson/pull/2862
-	ninja -C _build/ calls-doc
+	dh_auto_build -- calls-doc
 endif
 
 override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	xvfb-run dh_auto_test
-endif
 
 # generate the manpages from the scripts using help2man
 execute_before_dh_installman:

## gnome-calls 43~alpha.1

=== debian/changelog ===
gnome-calls (43~alpha.1-1) unstable; urgency=medium

  * Add copyright helper script
  * New upstream version 43~alpha.1
  * Update copyright
  * Declare compliance with Debian Policy 4.6.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 28 May 2022 16:53:45 +0200

gnome-calls (43~alpha.0-1) experimental; urgency=medium

  * New upstream version 43~alpha.0
  * d/control: Add gstreamer1.0-plugins-bad dependencies
  * d/control: Recommend gnome-contacts

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 26 Apr 2022 15:09:24 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  desktop-file-utils,
+ gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,
  gtk-doc-tools <!nodoc>,
  help2man,
@@ -32,7 +33,7 @@
  valac,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.gnome.org/GNOME/calls
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnome-calls
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnome-calls.git
@@ -44,10 +45,13 @@
 Replaces: phosh (<< 0.14.1-2~)
 Depends:
  callaudiod,
+ gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,
  modemmanager,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ gnome-contacts
 Description: Make and receive PSTN phone calls
  A GTK+ user interface for PSTN phone calls using ModemManager.
  .

## gnome-calls 43~alpha.2

=== debian/changelog ===
gnome-calls (43~alpha.2-1) unstable; urgency=medium

  * d/rules: Manpage now provided upstream
  * Refresh patch
  * Add patch disabling g722 to fix build issue with ffmpeg 5.0/gst-libav
  * Install DBus service file

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 27 Jun 2022 08:19:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,
  gtk-doc-tools <!nodoc>,
- help2man,
  libcallaudio-dev (>= 0.0.5),
  libebook-contacts1.2-dev,
  libfeedback-dev,
@@ -30,6 +29,7 @@
  meson,
  modemmanager-dev,
  pkg-config,
+ python3-docutils,
  valac,
  xauth <!nocheck>,
  xvfb <!nocheck>,

## gnome-calls 43~beta.0

=== debian/changelog ===
gnome-calls (43~beta.0-1ubuntu2) kinetic; urgency=medium

  * Rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 26 Aug 2022 09:04:37 -0400

gnome-calls (43~beta.0-1ubuntu1) kinetic; urgency=medium

  * debian/rules: Temporarily disable lto (Closes: #1015419)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 21:45:41 -0400

gnome-calls (43~beta.0-1) unstable; urgency=medium

  * d/gbp.conf: Include upstream history
  * Remove upstreamed patches
  * d/copyright: Put globbing patterns in order
  * Update copyright

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 08 Aug 2022 19:38:02 +0200

## gnome-calls 43.0

=== debian/changelog ===
gnome-calls (43.0-1ubuntu1) kinetic; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/rules: Temporarily disable lto (Closes: #1015419)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 15:45:47 -0400

gnome-calls (43.0-1) unstable; urgency=medium

  * d/patches: Add patches to prevent app window from showing up

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 11 Oct 2022 10:38:57 +0200

gnome-calls (43~rc.0-1) unstable; urgency=medium

  * CC0-1.0 license is common: drop explicit license text
  * Refresh patches

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 04 Sep 2022 13:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-calls
 Section: comm
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
@@ -44,13 +45,13 @@
 Breaks: phosh (<< 0.14.1-2~)
 Replaces: phosh (<< 0.14.1-2~)
 Depends:
- callaudiod,
  gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,
  modemmanager,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ callaudiod,
  gnome-contacts
 Description: Make and receive PSTN phone calls
  A GTK+ user interface for PSTN phone calls using ModemManager.

## gnome-calls 44~alpha.1

=== debian/changelog ===
gnome-calls (44~alpha.1-1) unstable; urgency=medium

  * New upstream version 44~alpha.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 13 Jan 2023 10:30:15 +0100

gnome-calls (44~alpha.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Evangelos Ribeiro Tzaras ]
  * d/upstream/metadata: Add "Repository" field
  * d/patches: Remove patches applied in new upstream release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 06 Dec 2022 11:52:56 +0100

gnome-calls (43.0-2) unstable; urgency=medium

  * d/patches: Fix build on IPv6 only buildd Closes: #1019292, thanks Adrian Bunk
  * d/patches: Reenable g722 codecs

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 13 Oct 2022 00:36:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-calls
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
@@ -14,7 +13,7 @@
  gtk-doc-tools <!nodoc>,
  libcallaudio-dev (>= 0.0.5),
  libebook-contacts1.2-dev,
- libfeedback-dev,
+ libfeedback-dev (>= 0.0.1),
  libfolks-dev,
  libgom-1.0-dev,
  libgsound-dev,

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,3 @@
 
 override_dh_auto_test:
 	xvfb-run dh_auto_test
-
-# generate the manpages from the scripts using help2man
-execute_before_dh_installman:
-	help2man --version-option='-h' --no-info --name="A GTK+ user interface for PSTN phone calls" \
-		debian/tmp/usr/bin/gnome-calls > debian/gnome-calls.1

## gnome-calls 44.0

=== debian/changelog ===
gnome-calls (44.0-0ubuntu2) lunar; urgency=medium

  * Build-Depend on librsvg2-common for application test
  * Restore patch disabling SIP call test because of intermittent failures
  * Disable new ringer test since it fails

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Apr 2023 17:47:47 -0400

gnome-calls (44.0-0ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/rules: Temporarily disable lto (Closes: #1015419)
  * Update to stable 44.0 release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Apr 2023 17:09:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-calls
 Section: comm
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
@@ -23,6 +24,7 @@
  libhandy-1-dev (>=1.1.90),
  libmm-glib-dev (>= 1.12.0),
  libpeas-dev,
+ librsvg2-common <!nocheck>,
  libsecret-1-dev,
  libsofia-sip-ua-glib-dev,
  libxml2-utils,

## gnome-calls 45~alpha.0

=== debian/changelog ===
gnome-calls (45~alpha.0-4ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining change:
    - debian/ruels: Temporarily disable LTO (Closes: #1015419)
    - Add patch to disable new ringer test since it fails

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Jul 2023 14:53:37 -0400

gnome-calls (45~alpha.0-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Jul 2023 12:04:58 +0200

gnome-calls (45~alpha.0-3) experimental; urgency=medium

  * d/control: Add dbus-daemon

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 26 May 2023 03:45:48 +0200

gnome-calls (45~alpha.0-2) experimental; urgency=medium

  * d/patches: Don't unref CallsMMOrigin in call_deleted_cb

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 12 May 2023 08:38:20 +0200

gnome-calls (45~alpha.0-1) experimental; urgency=medium

  * New upstream release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 04 May 2023 11:42:42 +0200

gnome-calls (44.0-1) experimental; urgency=medium

  * New upstream release
  * d/control: Add svg pixbufloader
  * Ran wrap-and-sort -ast

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 31 Mar 2023 07:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
 Build-Depends:
+ dbus-daemon,
  debhelper-compat (= 13),
  desktop-file-utils,
  gstreamer1.0-plugins-bad,
@@ -24,7 +25,7 @@
  libhandy-1-dev (>=1.1.90),
  libmm-glib-dev (>= 1.12.0),
  libpeas-dev,
- librsvg2-common <!nocheck>,
+ librsvg2-common,
  libsecret-1-dev,
  libsofia-sip-ua-glib-dev,
  libxml2-utils,
@@ -43,8 +44,10 @@
 
 Package: gnome-calls
 Architecture: any
-Breaks: phosh (<< 0.14.1-2~)
-Replaces: phosh (<< 0.14.1-2~)
+Breaks:
+ phosh (<< 0.14.1-2~),
+Replaces:
+ phosh (<< 0.14.1-2~),
 Depends:
  gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,
@@ -53,7 +56,7 @@
  ${shlibs:Depends},
 Recommends:
  callaudiod,
- gnome-contacts
+ gnome-contacts,
 Description: Make and receive PSTN phone calls
  A GTK+ user interface for PSTN phone calls using ModemManager.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
 
 # Ubuntu builds with symbolic-functions by default which causes plugin issues
 # https://gitlab.gnome.org/GNOME/calls/-/issues/334

## gnome-calls 46.0

=== meson_options.txt ===
--- 
+++ 
@@ -5,3 +5,11 @@
 option('tests',
        type: 'boolean', value: true,
        description: 'Whether to compile unit tests')
+
+option('manpages',
+       type: 'boolean', value: true,
+       description: 'Whether to generate man pages')
+
+option('gst_debug',
+       type: 'boolean', value: true,
+       description: 'Whether to use gstreamers debugging API')

=== debian/changelog ===
gnome-calls (46.0-1ubuntu1) noble; urgency=medium

  * Sync with Debian. Remaining change:
    - Add disable-ringer-test.patch because it fails

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 Apr 2024 16:41:08 -0400

gnome-calls (46.0-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Skip building gtk-doc in arch-only builds. Closes: #1064460

  [ Evangelos Ribeiro Tzaras ]
  * New upstream release
  * d/patches: Drop upstream patches

  [ Chris Talbot ]
  * test: Disable SIP Patch

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 15 Mar 2024 21:35:01 +0100

gnome-calls (45.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:05:14 +0000

gnome-calls (45.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:43:17 +0000

gnome-calls (45.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:37:41 +0000

gnome-calls (45.0-1ubuntu1) noble; urgency=medium

  * Sync with Debian. Remaining change:
    - Add disable-ringer-test.patch because it fails

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 25 Feb 2024 10:35:55 -0500

gnome-calls (45.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: update patches
  * d/control: add Chris Talbot as uploader
  * d/control: Update standards-version to 4.6.2
  * d/control: update pkg-config to pkgconf
  * d/lintian: remove unneeded override

 -- Chris Talbot <chris@talbothome.com>  Wed, 14 Feb 2024 11:10:18 -0700

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
+ Chris Talbot <chris@talbothome.com>,
 Build-Depends:
  dbus-daemon,
  debhelper-compat (= 13),
@@ -31,12 +32,12 @@
  libxml2-utils,
  meson,
  modemmanager-dev,
- pkg-config,
+ pkgconf,
  python3-docutils,
  valac,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/calls
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnome-calls
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnome-calls.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ubuntu builds with symbolic-functions by default which causes plugin issues
# https://gitlab.gnome.org/GNOME/calls/-/issues/334
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES))$(filter gnome-calls-doc,$(shell dh_listpackages)),gnome-calls-doc)
  CONFIGURE_OPTS+=-Dgtk_doc=true
else
  CONFIGURE_OPTS+=-Dgtk_doc=false
endif

%:
	dh $@ -- -B_build

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

execute_after_dh_auto_build-indep:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	# https://github.com/mesonbuild/meson/pull/2862
	dh_auto_build -- calls-doc
endif

override_dh_auto_test:
	xvfb-run dh_auto_test

## gnome-calls 46.3

=== debian/changelog ===
gnome-calls (46.3-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add disable-ringer-test.patch because it fails

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 09 Jul 2024 21:52:53 +0100

gnome-calls (46.3-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Jul 2024 14:12:34 +0200

## gnome-calls 47.0

=== debian/changelog ===
gnome-calls (47.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add disable-ringer-test.patch because it fails

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 11 Nov 2024 20:53:44 +0000

gnome-calls (47.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Depend on systemd-dev.
    This allows meson to figure out the correct path for user units
    (Closes: #1082105)
  * install: Use less generic pattern for /usr/lib.
    This makes sure we notice when e.g. plugins or systemd units
    go missing.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Sep 2024 14:13:11 +0200

gnome-calls (47.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Remove patches applied in new upstream release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 14 Sep 2024 23:24:43 +0200

gnome-calls (47~rc.1-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: Sign tags by default
  * d/patches: Refresh patches
  * d/copyright: Update copyright information
  * d/control: Update build dependencies

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 02 Sep 2024 19:44:51 +0200

gnome-calls (46.3-2) unstable; urgency=medium

  * d/rules: Enable link time optimizations (Closes: #1015419)
  * d/rules: Only strip -Bsymbolic-functions on Ubuntu and derived distros
  * d/rules: No need to specify the build directory
  * d/gbp.conf: Switch debian-branch to debian/latest

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 04 Aug 2024 19:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -14,18 +14,18 @@
  gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,
  gtk-doc-tools <!nodoc>,
- libcallaudio-dev (>= 0.0.5),
+ libadwaita-1-dev (>= 1.5),
+ libcallaudio-dev (>= 0.1.9),
  libebook-contacts1.2-dev,
- libfeedback-dev (>= 0.0.1),
+ libfeedback-dev (>= 0.4.0),
  libfolks-dev,
  libgom-1.0-dev,
  libgsound-dev,
  libgstreamer1.0-dev,
- libgtk-3-dev,
- libgtk-3-doc <!nodoc>,
- libhandy-1-dev (>=1.1.90),
+ libgtk-4-dev (>= 4.12),
+ libgtk-4-doc <!nodoc>,
  libmm-glib-dev (>= 1.12.0),
- libpeas-dev,
+ libpeas-2-dev,
  librsvg2-common,
  libsecret-1-dev,
  libsofia-sip-ua-glib-dev,
@@ -34,6 +34,7 @@
  modemmanager-dev,
  pkgconf,
  python3-docutils,
+ systemd-dev,
  valac,
  xauth <!nocheck>,
  xvfb <!nocheck>,

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/gnome-calls --help
Restrictions: superficial
Depends:
 gnome-calls,
 xauth,
 xvfb,

## gnome-calls 48.1

=== debian/changelog ===
gnome-calls (48.1-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add disable-ringer-test.patch because it fails

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Jun 2025 19:34:31 +0100

gnome-calls (48.1-1) unstable; urgency=medium

  * New upstream release
    (Closes: #1101478)
  * d/patches: Disable "application" test
  * d/copyright: Remove old FSF postal address

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 10 Apr 2025 19:04:40 +0200

gnome-calls (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 20 Mar 2025 15:38:42 +0100

gnome-calls (48~beta.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: Declare conformance with Debian policy 4.7.1 (no changed needed)

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 23 Feb 2025 18:58:13 +0100

## gnome-calls 48.2

=== meson_options.txt ===
--- 
+++ 
@@ -13,3 +13,7 @@
 option('gst_debug',
        type: 'boolean', value: true,
        description: 'Whether to use gstreamers debugging API')
+
+option('systemd_user_unit_dir',
+       type: 'string', value: '',
+       description: 'Directory for systemd user units')

=== debian/changelog ===
gnome-calls (48.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add disable-ringer-test.patch because it fails

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 Aug 2025 05:24:15 +0100

gnome-calls (48.2-1) unstable; urgency=medium

  * New upstream release
    * Fix USSD dialog locking up the UI (Closes: #1108256)
  * d/patches: Remove patches applied upstream
  * d/patches: Allows metainfo validation to pass

 -- Evangelos Ribeiro Tzaras <devrtz@fortysixandtwo.eu>  Thu, 03 Jul 2025 23:19:44 +0200

gnome-calls (48.1-2) unstable; urgency=medium

  * call-box: Use correct property.
    This allows to dial out SIP addresses again

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 May 2025 09:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  valac,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://gitlab.gnome.org/GNOME/calls
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gnome-calls
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gnome-calls.git

## gnome-calls 49.1.1

=== subprojects/libcall-ui/meson_options.txt ===
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('examples',
       type: 'boolean', value: true,
       description: 'Whether to build the examples')

option('install-examples',
       type: 'boolean', value: false,
       description: 'Whether to install the examples')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

option('install-i18n',
       type: 'boolean', value: true,
       description: 'Whether to install translations')

=== debian/changelog ===
gnome-calls (49.1.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Drop applied patch and rebase.
  * d/control: Remove ancient breaks/replaces.
    These versions aren't in Debian stable anymore.

 -- Evangelos Ribeiro Tzaras <devrtz@debian.org>  Wed, 15 Oct 2025 15:50:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gnome-calls
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
+ Evangelos Ribeiro Tzaras <devrtz@debian.org>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
  Chris Talbot <chris@talbothome.com>,
 Build-Depends:
@@ -46,10 +45,6 @@
 
 Package: gnome-calls
 Architecture: any
-Breaks:
- phosh (<< 0.14.1-2~),
-Replaces:
- phosh (<< 0.14.1-2~),
 Depends:
  gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good,

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 # Ubuntu builds with symbolic-functions by default which causes plugin issues
 # https://gitlab.gnome.org/GNOME/calls/-/issues/334
-export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+  export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+endif
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES))$(filter gnome-calls-doc,$(shell dh_listpackages)),gnome-calls-doc)
   CONFIGURE_OPTS+=-Dgtk_doc=true
@@ -13,7 +15,7 @@
 endif
 
 %:
-	dh $@ -- -B_build
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_OPTS)

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/calls/@ANY_VERSION@/ \
	calls@ANY_VERSION@\.tar\.xz
